This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1069538 - DNF doesn't support "never" or "-1" for metadata_expire option unlike yum
DNF doesn't support "never" or "-1" for metadata_expire option unlike yum
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871892
  Show dependency treegraph
 
Reported: 2014-02-25 03:50 EST by Hedayat Vatankhah
Modified: 2014-09-30 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.4.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 22:35:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2014-02-25 03:50:05 EST
Description of problem:
I always create a repo file for Fedora DVD, and set its metadata_expire to -1 so that its metadata is never expired. "never" can be used instead of -1 too. However, dnf doesn't support -1/never and always tries to download the metadata for such a repository.


Version-Release number of selected component (if applicable):
dnf-0.4.14-1.fc20.noarch
Comment 1 Ales Kozumplik 2014-02-26 10:36:28 EST
Hello, the issue was fixed upstream in 4b27df0. The patch also includes update to 'metadata_expire' documentation. You can test the change once respective build appears on our continuous integration server:

http://jenkins.cloud.fedoraproject.org/job/DNF/lastSuccessfulBuild/artifact/

or with dnf-0.4.17 once released.

Thanks for the report.
Comment 2 Fedora Update System 2014-03-05 07:57:17 EST
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20
Comment 3 Fedora Update System 2014-03-06 03:13:59 EST
Package dnf-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3465/dnf-0.4.17-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-03-07 22:35:21 EST
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.